Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.arjuna.ats.jts.exceptions
Class ExceptionCodes

    java.lang.Object
      com.arjuna.ats.jts.exceptions.ExceptionCodes

public class ExceptionCodes
extends java.lang.Object

Various exception values that we use in the OTS in a number of situations, particularly if the ORB does not support some of the standard OTS SystemExceptions. In which case we will throw other SystemExceptions and set the values in them to try to reflect the same type of information we would have conveyed if we had been able to throw the right type of exception.

Since:
  JTS 1.0.
Version:
  $Id: ExceptionCodes.java 2342 2006-03-30 13:06:17Z $
Author:
  Mark Little (mark@arjuna.com)

Field Summary
`static int` | `ADD_FAILED`
`static int` | `ALREADY_BEGUN`
`static int` | `ALREADY_ROLLEDBACK`
`static int` | `ALREADY_TERMINATED`
`static int` | `ATOMICACTION_COMMIT`
`static int` | `ATOMICACTION_ROLLBACK`
`static int` | `BAD_TRANSACTION_CONTEXT`
`static int` | `FAILED_TO_COMMIT`
`static int` | `GETTIMEOUT_FAILED`
`static int` | `HEURISTIC_COMMIT`
`static int` | `INACTIVE_TRANSACTION`
`static int` | `INVALID_ACTION`
`static int` | `INVALID_TIMEOUT`
`static int` | `INVALID_TRANSACTION_BASE` INVALID_TRANSACTION
`static int` | `MARKED_ROLLEDBACK`
`static int` | `NO_TRANSACTION`
`static int` | `NO_TXCONTEXT`
`static int` | `NOT_CURRENT_TRANSACTION`
`static int` | `OTS_BAD_OPERATION_BASE` BAD_OPERATION
`static int` | `OTS_BAD_PARAM_BASE` BAD_PARAM
`static int` | `OTS_GENERAL_BASE` The Minor version numbers for some system exceptions we may raise.
`static int` | `OTS_UNKNOWN_BASE` UNKNOWN
`static int` | `SERVERAA_COMMIT`
`static int` | `SERVERAA_NO_CONTROL`
`static int` | `SERVERAA_PREPARE`
`static int` | `SYNCHRONIZATION_EXCEPTION`
`static int` | `TRANSACTION_REQUIRED_BASE` TRANSACTION_REQUIRED
`static int` | `TRANSACTION_ROLLEDBACK_BASE` TRANSACTION_ROLLEDBACK
`static int` | `UNAVAILABLE_COORDINATOR`
`static int` | `UNAVAILABLE_TRANSACTION`
`static int` | `UNEXPECTED_SYSTEMEXCEPTION`
`static int` | `UNKNOWN_EXCEPTION`
`static int` | `UNKNOWN_INVALID`
`static int` | `WRONG_TRANSACTION_BASE` WRONG_TRANSACTION

Constructor Summary
`ExceptionCodes()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### OTS_GENERAL_BASE

    public static final int OTS_GENERAL_BASE

  The Minor version numbers for some system exceptions we may raise.

  See Also:
    Constant Field Values

### INACTIVE_TRANSACTION

    public static final int INACTIVE_TRANSACTION

See Also:
  Constant Field Values

### OTS_UNKNOWN_BASE

    public static final int OTS_UNKNOWN_BASE

  UNKNOWN

  See Also:
    Constant Field Values

### UNKNOWN_EXCEPTION

    public static final int UNKNOWN_EXCEPTION

See Also:
  Constant Field Values

### GETTIMEOUT_FAILED

    public static final int GETTIMEOUT_FAILED

See Also:
  Constant Field Values

### UNEXPECTED_SYSTEMEXCEPTION

    public static final int UNEXPECTED_SYSTEMEXCEPTION

See Also:
  Constant Field Values

### SYNCHRONIZATION_EXCEPTION

    public static final int SYNCHRONIZATION_EXCEPTION

See Also:
  Constant Field Values

### OTS_BAD_OPERATION_BASE

    public static final int OTS_BAD_OPERATION_BASE

  BAD_OPERATION

  See Also:
    Constant Field Values

### SERVERAA_COMMIT

    public static final int SERVERAA_COMMIT

See Also:
  Constant Field Values

### SERVERAA_PREPARE

    public static final int SERVERAA_PREPARE

See Also:
  Constant Field Values

### ATOMICACTION_COMMIT

    public static final int ATOMICACTION_COMMIT

See Also:
  Constant Field Values

### ATOMICACTION_ROLLBACK

    public static final int ATOMICACTION_ROLLBACK

See Also:
  Constant Field Values

### NO_TRANSACTION

    public static final int NO_TRANSACTION

See Also:
  Constant Field Values

### HEURISTIC_COMMIT

    public static final int HEURISTIC_COMMIT

See Also:
  Constant Field Values

### OTS_BAD_PARAM_BASE

    public static final int OTS_BAD_PARAM_BASE

  BAD_PARAM

  See Also:
    Constant Field Values

### INVALID_TIMEOUT

    public static final int INVALID_TIMEOUT

See Also:
  Constant Field Values

### BAD_TRANSACTION_CONTEXT

    public static final int BAD_TRANSACTION_CONTEXT

See Also:
  Constant Field Values

### TRANSACTION_ROLLEDBACK_BASE

    public static final int TRANSACTION_ROLLEDBACK_BASE

  TRANSACTION_ROLLEDBACK

  See Also:
    Constant Field Values

### FAILED_TO_COMMIT

    public static final int FAILED_TO_COMMIT

See Also:
  Constant Field Values

### ALREADY_ROLLEDBACK

    public static final int ALREADY_ROLLEDBACK

See Also:
  Constant Field Values

### MARKED_ROLLEDBACK

    public static final int MARKED_ROLLEDBACK

See Also:
  Constant Field Values

### INVALID_TRANSACTION_BASE

    public static final int INVALID_TRANSACTION_BASE

  INVALID_TRANSACTION

  See Also:
    Constant Field Values

### ALREADY_TERMINATED

    public static final int ALREADY_TERMINATED

See Also:
  Constant Field Values

### UNKNOWN_INVALID

    public static final int UNKNOWN_INVALID

See Also:
  Constant Field Values

### ALREADY_BEGUN

    public static final int ALREADY_BEGUN

See Also:
  Constant Field Values

### ADD_FAILED

    public static final int ADD_FAILED

See Also:
  Constant Field Values

### UNAVAILABLE_COORDINATOR

    public static final int UNAVAILABLE_COORDINATOR

See Also:
  Constant Field Values

### UNAVAILABLE_TRANSACTION

    public static final int UNAVAILABLE_TRANSACTION

See Also:
  Constant Field Values

### INVALID_ACTION

    public static final int INVALID_ACTION

See Also:
  Constant Field Values

### WRONG_TRANSACTION_BASE

    public static final int WRONG_TRANSACTION_BASE

  WRONG_TRANSACTION

  See Also:
    Constant Field Values

### NOT_CURRENT_TRANSACTION

    public static final int NOT_CURRENT_TRANSACTION

See Also:
  Constant Field Values

### SERVERAA_NO_CONTROL

    public static final int SERVERAA_NO_CONTROL

See Also:
  Constant Field Values

### TRANSACTION_REQUIRED_BASE

    public static final int TRANSACTION_REQUIRED_BASE

  TRANSACTION_REQUIRED

  See Also:
    Constant Field Values

### NO_TXCONTEXT

    public static final int NO_TXCONTEXT

See Also:
  Constant Field Values

Constructor Detail

### ExceptionCodes

    public ExceptionCodes()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD